## qt6-quick3d 6.8.1

=== debian/changelog ===
qt6-quick3d (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 07 Dec 2024 00:33:24 -0600

qt6-quick3d (6.7.2-6) unstable; urgency=medium

  [ Patrick Franz ]
  * Remove several Provides to allow co-installability (Closes:
    #1089099).

 -- Patrick Franz <deltaone@debian.org>  Thu, 05 Dec 2024 19:08:51 +0100

=== debian/control ===
Source: qt6-quick3d
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               dh-exec,
               dh-sequence-qmldeps,
               libassimp-dev (>= 5.1.6~),
               libgl-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               libxcb-glx0-dev,
               libxcb-xkb-dev,
               ninja-build,
               pkg-kde-tools,
               pkgconf,
               qt6-base-dev (>= 6.8.1+dfsg~),
               qt6-base-private-dev (>= 6.8.1+dfsg~),
               qt6-declarative-dev (>= 6.8.1+dfsg~),
               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
               qt6-quick3d-dev:native <cross>,
               qt6-quicktimeline-dev (>= 6.8.1~),
               qt6-shadertools-dev (>= 6.8.1~),
               zlib1g-dev,
Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
Standards-Version: 4.7.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
Rules-Requires-Root: no

Package: libqt6quick3d6
Provides: qt6-quick3d-private-abi (= 6.8.1),
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D library.

Package: libqt6quick3dassetimport6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Import library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Import library.

Package: libqt6quick3dassetutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Asset Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Asset Utils library.

Package: libqt6quick3dglslparser6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D GLS Parser library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D GLS Parser library.

Package: libqt6quick3diblbaker6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D IblBaker library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D IblBaker library.

Package: libqt6quick3druntimerender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Runtime Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Runtime Renderer library.

Package: libqt6quick3dutils6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Utils library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Utils library.

Package: libqt6quick3dxr6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Xr library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D Xr library.

Package: qt6-quick3d-assetimporters-plugin
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 Quick 3D Assimp Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 Quick 3D's Assimp Import plugin.

Package: qml6-module-qtquick3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d,
Replaces: qml6-module-quick3d,
Description: Qt 6 Quick 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D QML module.

Package: qml6-module-qtquick3d-assetutils
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: qml6-module-quick3d-assetutils,
Replaces: qml6-module-quick3d-assetutils,
Description: Qt 6 Quick 3D Asset Utils QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Asset Utils QML module.

Package: qml6-module-qtquick3d-effects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
Description: Qt 6 Quick 3D Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Effects QML module.

Package: qml6-module-qtquick3d-helpers
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
Description: Qt 6 Quick 3D Helpers QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Helpers QML module.

Package: qml6-module-qtquick3d-materialeditor
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Material Editor QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Material Editor QML module.

Package: qml6-module-qtquick3d-particleeffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
Description: Qt 6 Quick 3D Particle Effects QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particle Effects QML module.

Package: qml6-module-qtquick3d-particles3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
Description: Qt 6 Quick 3D Particles 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Particles 3D QML module.

Package: qml6-module-qtquick3d-xr
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D Xr 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick 3D Xr 3D QML module.

Package: qt6-qmltooling-quick3dprofiler-plugin
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 qmltooling Quick3D profiler plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the qmltooling Quick3D profiler plugin.

Package: qt6-quick3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt6quick3d6 (= ${binary:Version}),
         libqt6quick3dassetimport6 (= ${binary:Version}),
         libqt6quick3dassetutils6 (= ${binary:Version}),
         libqt6quick3diblbaker6 (= ${binary:Version}),
         libqt6quick3druntimerender6 (= ${binary:Version}),
         libqt6quick3dutils6 (= ${binary:Version}),
         libqt6quick3dxr6 (= ${binary:Version}),
         qml6-module-qtquick3d (= ${binary:Version}),
         qml6-module-qtquick3d-assetutils (= ${binary:Version}),
         qml6-module-qtquick3d-effects (= ${binary:Version}),
         qml6-module-qtquick3d-helpers (= ${binary:Version}),
         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
         qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
         qml6-module-qtquick3d-particles3d (= ${binary:Version}),
         qml6-module-qtquick3d-xr (= ${binary:Version}),
         qt6-base-dev,
         qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
         qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
         qt6-quick3d-dev-tools (= ${binary:Version}),
         qt6-shadertools-dev,
         ${misc:Depends},
Description: Qt 6 Quick 3D - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the header development files used for building Qt 6
 applications using Qt Quick 3D library.

Package: qt6-quick3d-private-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: qt6-quick3d-dev (= ${binary:Version}), ${misc:Depends},
Breaks: qt6-quick3d-dev (<< 6.6.1-1),
Replaces: qt6-quick3d-dev (<< 6.6.1-1),
Description: Qt 6 Quick 3D private development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the private header development files for building some
 Qt 6 applications using the Qt 6 Quick 3D private headers.
 .
 Use at your own risk.

Package: qt6-quick3d-dev-tools
Architecture: any
Multi-Arch: foreign
Section: devel
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: Qt 6 Quick 3D development programs
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .

## qt6-quick3d 6.8.2

=== examples/quick3d/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

qt_internal_add_example(antialiasing)
qt_internal_add_example(customshaders)
qt_internal_add_example(hellocube)
qt_internal_add_example(intro)
qt_internal_add_example(view3d)
qt_internal_add_example(picking)
qt_internal_add_example(lights)
qt_internal_add_example(custommaterial)
qt_internal_add_example(principledmaterial)
qt_internal_add_example(proceduraltexture)
qt_internal_add_example(dynamiccreation)
qt_internal_add_example(quickitems)
qt_internal_add_example(customgeometry)
qt_internal_add_example(customeffect)
qt_internal_add_example(custominstancing)
qt_internal_add_example(instancing)
qt_internal_add_example(skinning)
qt_internal_add_example(offlineshaders)
qt_internal_add_example(submeshes)
qt_internal_add_example(quickball)
qt_internal_add_example(helloqtquick3d)
qt_internal_add_example(morphing)
qt_internal_add_example(custommorphing)
qt_internal_add_example(particles3d)
qt_internal_add_example(runtimeloader)
qt_internal_add_example(screenspacereflections)
qt_internal_add_example(reflectionprobes)
qt_internal_add_example(bakedlightmap)
qt_internal_add_example(lodhelper)
qt_internal_add_example(simplefog)
qt_internal_add_example(sceneeffects)
qt_internal_add_example(volumeraycaster)
qt_internal_add_example(virtualassistant)
qt_internal_add_example(extensions/stenciloutline)

if(QT_FEATURE_quick3dxr_openxr)
    qt_internal_add_example(xr_simple)
    qt_internal_add_example(xr_anchors)
    qt_internal_add_example(xr_freeformteleportation)
    qt_internal_add_example(xr_input)
    qt_internal_add_example(xr_touch)
endif()

=== src/helpers/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## qtquick3dhelpersplugin Plugin:
#####################################################################

qt_internal_add_qml_module(Quick3DHelpers
    URI "QtQuick3D.Helpers"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    CLASS_NAME QtQuick3DHelpersPlugin
    PLUGIN_TARGET qtquick3dhelpersplugin
    DEPENDENCIES
        QtQuick3D.Helpers.impl/auto
        QtQuick3D/auto
    PAST_MAJOR_VERSIONS 1
    SOURCES
        gridgeometry.cpp gridgeometry_p.h
        heightfieldgeometry.cpp heightfieldgeometry_p.h
        randominstancing.cpp randominstancing_p.h
        lookatnode.cpp lookatnode_p.h
        instancerepeater.cpp instancerepeater_p.h
        infinitegrid_p.h infinitegrid.cpp
        proceduralskytexturedata.cpp proceduralskytexturedata_p.h
        qquick3dtexturedatafrontend_p.h qquick3dtexturedatafrontend.cpp
        proceduralmesh_p.h proceduralmesh.cpp
        qtquick3dhelpersglobal_p.h
    QML_FILES
        AxisHelper.qml
        DebugView.qml
        WasdController.qml
        OrbitCameraController.qml
        LodManager.qml
        ExtendedSceneEnvironment.qml
    RESOURCES
        meshes/axisGrid.mesh
    DEFINES
        QT_BUILD_QUICK3DHELPERS_LIB
    LIBRARIES
        Qt::Quick3D
    PUBLIC_LIBRARIES
        Qt::Qml
        Qt::Quick
        Qt::Quick3DPrivate
        Qt::GuiPrivate
)

if(QT_FEATURE_quick_designer AND QT_BUILD_SHARED_LIBS) # special case handle unconverted static
    add_subdirectory(designer)
endif()

add_subdirectory(impl)

_qt_internal_add_qml_static_plugin_dependency(Quick3DHelpers Quick3DHelpersImpl)

=== tests/manual/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Don't build manual tests when targeting iOS.
if(UIKIT)
    return()
endif()

add_subdirectory(3d_input)
add_subdirectory(blendmodes)
add_subdirectory(cameralookat)
add_subdirectory(cones_and_cylinders)
add_subdirectory(dynamic3DTest)
add_subdirectory(dynamicenvmap)
add_subdirectory(dynamictexture)
add_subdirectory(infinitegrid)
add_subdirectory(instancing)
add_subdirectory(instance-picking)
add_subdirectory(lightmap_concept)
add_subdirectory(loader)
add_subdirectory(loader2)
add_subdirectory(lineparticles)
add_subdirectory(modelblendparticles)
add_subdirectory(modelparticles)
add_subdirectory(multicubetest)
add_subdirectory(offscreenrendermode)
add_subdirectory(picking)
add_subdirectory(principledmaterial)
add_subdirectory(projectionmodes)
add_subdirectory(reflectionprobe)
add_subdirectory(repeater3d)
add_subdirectory(shadowCasting)
add_subdirectory(shadowCasting2)
add_subdirectory(sourceitem)
add_subdirectory(specularglossymaterial)
add_subdirectory(ssao)
add_subdirectory(stereoscopic)
add_subdirectory(unlit_lit_test)
add_subdirectory(vertexAttributes)
add_subdirectory(view3DDeleteTest)
add_subdirectory(sharedresourceupdate)
add_subdirectory(volumetric)
add_subdirectory(extensions)
add_subdirectory(subset-picking)

=== examples/quick3d/simplefog/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: LicenseRef-Qt-Commercial OR BSD-3-Clause

cmake_minimum_required(VERSION 3.16)
project(simplefog LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

find_package(Qt6 REQUIRED COMPONENTS Core Gui Quick Quick3D)

qt_add_executable(simplefog
    main.cpp
)

set_target_properties(simplefog PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(simplefog PUBLIC
    Qt::Core
    Qt::Gui
    Qt::Quick
    Qt::Quick3D
)

qt_add_qml_module(simplefog
    URI Example
    VERSION 1.0
    QML_FILES main.qml
    NO_RESOURCE_TARGET_PATH
)

install(TARGETS simplefog
    BUNDLE  DESTINATION .
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

qt_generate_deploy_qml_app_script(
    TARGET simplefog
    OUTPUT_SCRIPT deploy_script
    MACOS_BUNDLE_POST_BUILD
    NO_UNSUPPORTED_PLATFORM_ERROR
    DEPLOY_USER_QML_MODULES_ON_UNSUPPORTED_PLATFORM
)
install(SCRIPT ${deploy_script})

=== src/effects/designer/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_path_join(destination ${QT_INSTALL_DIR} "${INSTALL_QMLDIR}/QtQuick3D/Effects/designer")
qt_copy_or_install(
    FILES
        AdditiveColorGradientSection.qml
        AdditiveColorGradientSpecifics.qml
        BlurSection.qml
        BlurSpecifics.qml
        BrushStrokesSection.qml
        BrushStrokesSpecifics.qml
        ChromaticAberrationSection.qml
        ChromaticAberrationSpecifics.qml
        ColorMasterSection.qml
        ColorMasterSpecifics.qml
        DepthOfFieldHQBlurSection.qml
        DepthOfFieldHQBlurSpecifics.qml
        DesaturateSection.qml
        DesaturateSpecifics.qml
        DistortionRippleSection.qml
        DistortionRippleSpecifics.qml
        DistortionSphereSection.qml
        DistortionSphereSpecifics.qml
        DistortionSpiralSection.qml
        DistortionSpiralSpecifics.qml
        EdgeDetectSection.qml
        EdgeDetectSpecifics.qml
        EmbossSection.qml
        EmbossSpecifics.qml
        FlipSection.qml
        FlipSpecifics.qml
        FxaaSection.qml
        FxaaSpecifics.qml
        GaussianBlurSection.qml
        GaussianBlurSpecifics.qml
        HDRBloomTonemapSection.qml
        HDRBloomTonemapSpecifics.qml
        MotionBlurSection.qml
        MotionBlurSpecifics.qml
        SCurveTonemapSection.qml
        SCurveTonemapSpecifics.qml
        ScatterSection.qml
        ScatterSpecifics.qml
        TiltShiftSection.qml
        TiltShiftSpecifics.qml
        VignetteSection.qml
        VignetteSpecifics.qml
        effectlib.metainfo
    DESTINATION "${destination}"
)

add_subdirectory(images)

=== src/helpers/impl/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_qml_module(Quick3DHelpersImpl
    URI "QtQuick3D.Helpers.impl"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QtQuick3DHelpersImplPlugin
    PLUGIN_TARGET qtquick3dhelpersimplplugin
    NO_PLUGIN_OPTIONAL
    DEPENDENCIES
        QtQuick3D/auto
    SOURCES
        sceneeffects.cpp sceneeffects_p.h
        qquick3drenderstatsmeshesmodel_p.h qquick3drenderstatsmeshesmodel.cpp
        qquick3drenderstatstexturesmodel_p.h qquick3drenderstatstexturesmodel.cpp
        qquick3drenderstatspassesmodel_p.h qquick3drenderstatspassesmodel.cpp
    QML_FILES
        DepthOfFieldBlur.qml
        SceneEffect.qml
        LightmapperOutputWindow.qml
    LIBRARIES
        Qt::Qml
        Qt::Quick
        Qt::Quick3DPrivate
    NO_GENERATE_CPP_EXPORTS
)

qt_internal_add_resource(Quick3DHelpersImpl "helpersimpl_resources"
    PREFIX
        "/qtquick3d_helpers"
    FILES
        shaders/lensflareblurhorizontal.vert
        shaders/lensflareblurvertical.vert
        shaders/lensflaredownsample.frag
        shaders/lensflarefeatures.frag
        shaders/lensflaregaussianblur.frag
        shaders/tonemapper.frag
        shaders/depthoffieldblur.frag
        shaders/depthoffieldblur.vert
        shaders/downsample.frag
        shaders/downsample.vert
        shaders/glowhorizontalblur.frag
        shaders/glowverticalblur.frag

        images/lens_dirt_default.jpeg
        images/noiseTexture.png
        images/gradientTexture.png

        luts/identity.png
)

=== src/plugins/qmldbg_quick3dprofiler/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

#####################################################################
## QQuick3DProfilerAdapterFactory Plugin:
#####################################################################

qt_internal_add_plugin(QQuick3DProfilerAdapterFactoryPlugin
    OUTPUT_NAME qmldbg_quick3dprofiler
    CLASS_NAME QQuick3DProfilerAdapterFactory
    PLUGIN_TYPE qmltooling
    SOURCES
        qquick3dprofileradapter.cpp qquick3dprofileradapter.h
        qquick3dprofileradapterfactory.cpp qquick3dprofileradapterfactory.h
    LIBRARIES
        Qt::Core
        Qt::CorePrivate
        Qt::Gui
        Qt::PacketProtocolPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
        Qt::Quick3DUtils
        Qt::Quick3DUtilsPrivate
)

# OTHER_FILES = "qquick3dprofileradapter.json"

=== tests/manual/cameralookat/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

qt_internal_add_manual_test(manual_test_cameralookat
    GUI
    SOURCES
        main.cpp
    LIBRARIES
        Qt::Gui
        Qt::Quick
        Qt::Quick3D
)

# Resources:
set(qml_resource_files
    "main.qml"
)

qt_internal_add_resource(manual_test_cameralookat "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)

=== tests/auto/quick3d/qquick3dgeometry/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dgeometry.pro.

#####################################################################
## qquick3dgeometry Test:
#####################################################################

if(NOT QT_BUILD_STANDALONE_TESTS AND NOT QT_BUILDING_QT)
    cmake_minimum_required(VERSION 3.16)
    project(tst_qquick3dgeometry LANGUAGES CXX)
    find_package(Qt6BuildInternals REQUIRED COMPONENTS STANDALONE_TEST)
endif()

qt_internal_add_test(tst_qquick3dgeometry
    SOURCES
        tst_qquick3dgeometry.cpp
    LIBRARIES
        Qt::Quick3D
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
        Qt::Quick3DUtilsPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dgeometry.pro:<TRUE>:
# TEMPLATE = "app"

=== debian/changelog ===
qt6-quick3d (6.8.2-5) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Enable the OpenXR bits only on architectures where it is available, i.e.
    alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64
    s390x sparc64:
    - limit the architectures of the libopenxr-dev build dependency
    - limit the architectures of the libqt6quick3dxr6, and
      qml6-module-qtquick3d-xr binary packages, and the dependencies on those
    - install OpenXR files only where available
    - run cmake with -DINPUT_openxr=system to explicitly require a system
      version of openXR where available, and -DINPUT_openxr=no otherwise

 -- Pino Toscano <pino@debian.org>  Sun, 02 Mar 2025 11:22:57 +0100

qt6-quick3d (6.8.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:55:50 +0100

qt6-quick3d (6.8.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D libqt6quick3dglslparser6 to qt6-quick3d-dev.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 19:10:28 +0100

qt6-quick3d (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 11 Feb 2025 19:07:15 +0100

qt6-quick3d (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update ABI to 6.8.2.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Add libopenxr-dev to the B-Ds.
  * New binary packages and update list of installed files.
  * Update symbols from buildlogs.
  * Update lintian-overrides.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 12:48:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: qt6-quick3d
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
+               libopenxr-dev (>= 1.0.29~) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-glx0-dev,
@@ -17,24 +18,24 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.8.1~),
-               qt6-shadertools-dev (>= 6.8.1~),
+               qt6-quicktimeline-dev (>= 6.8.2~),
+               qt6-shadertools-dev (>= 6.8.2~),
                zlib1g-dev,
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.8.1),
+Provides: qt6-quick3d-private-abi (= 6.8.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -112,15 +113,15 @@
  This package contains Qt 6 Quick 3D Utils library.
 
 Package: libqt6quick3dxr6
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick 3D Xr library
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains Qt 6 Quick 3D Xr library.
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Quick 3D Extended Reality library
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains Qt 6 Quick 3D Extended Reality library.
 
 Package: qt6-quick3d-assetimporters-plugin
 Architecture: any
@@ -224,15 +225,17 @@
  This package contains the Qt 6 Quick 3D Particles 3D QML module.
 
 Package: qml6-module-qtquick3d-xr
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick 3D Xr 3D QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the Qt 6 Quick 3D Xr 3D QML module.
+Architecture: alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
+Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
+Description: Qt 6 Quick 3D Extended Reality QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt 6 Quick 3D Extended Reality QML module.
 
 Package: qt6-qmltooling-quick3dprofiler-plugin
 Architecture: any
@@ -252,10 +255,11 @@
 Depends: libqt6quick3d6 (= ${binary:Version}),
          libqt6quick3dassetimport6 (= ${binary:Version}),
          libqt6quick3dassetutils6 (= ${binary:Version}),
+         libqt6quick3dglslparser6 (= ${binary:Version}),
          libqt6quick3diblbaker6 (= ${binary:Version}),
          libqt6quick3druntimerender6 (= ${binary:Version}),
          libqt6quick3dutils6 (= ${binary:Version}),
-         libqt6quick3dxr6 (= ${binary:Version}),
+         libqt6quick3dxr6 (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
          qml6-module-qtquick3d (= ${binary:Version}),
          qml6-module-qtquick3d-assetutils (= ${binary:Version}),
          qml6-module-qtquick3d-effects (= ${binary:Version}),
@@ -263,7 +267,7 @@
          qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
          qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
          qml6-module-qtquick3d-particles3d (= ${binary:Version}),
-         qml6-module-qtquick3d-xr (= ${binary:Version}),
+         qml6-module-qtquick3d-xr (= ${binary:Version}) [alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64],
          qt6-base-dev,
          qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
          qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
@@ -284,21 +288,3 @@
 Depends: qt6-quick3d-dev (= ${binary:Version}), ${misc:Depends},
 Breaks: qt6-quick3d-dev (<< 6.6.1-1),
 Replaces: qt6-quick3d-dev (<< 6.6.1-1),
-Description: Qt 6 Quick 3D private development files
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the private header development files for building some
- Qt 6 applications using the Qt 6 Quick 3D private headers.
- .
- Use at your own risk.
-
-Package: qt6-quick3d-dev-tools
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Description: Qt 6 Quick 3D development programs
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# Use already defined DEB_HOST_* variables.
include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

openxr_archs = alpha amd64 arm64 armel armhf i386 m68k mips64el ppc64 ppc64el riscv64 s390x sparc64
ifeq ($(DEB_HOST_ARCH),$(filter $(DEB_HOST_ARCH), $(openxr_archs)))
	cmake_extra_args += -DINPUT_openxr=system
else
	cmake_extra_args += -DINPUT_openxr=no
endif

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	cmake_extra_args += \
		-DQT_HOST_PATH=/usr \
		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
endif

%:
	dh $@ --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(cmake_extra_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
		sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl
